%This file demonstrate the usage of the model described in my ICASSP paper
%for classification into musical genres. If you want to know the meaning of
%the fields of p look at the file NM4M_ParamInit.m
% take care that you put a directory, which contains separate folders for
% each class. Each folder has to contain wav files for the class with 16kHz
% sampling frequency and 16 bit quantization, mono files!
% You have to include the folder helpers with its subfolders, as it
% contains the functions I use in my code, which have been provided by
% other authors. See these files for copyright information.
% Note that only the tools used for the parameter settings as found in this file are provided,
% in order not to confuse the interested reader.

%   Copyright (c) 2008 University of Crete.
% 
%   This file is part of Non-negative Matrix Factorization for Music (NM4M)
% 
%   NM4M is free software; you can redistribute it and/or modify
%   it under the terms of the GNU General Public License version 2 as
%   published by the Free Software Foundation.
% 
%   NM4M is distributed in the hope that it will be useful, but
%   WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%   General Public License for more details.
% 
%   You should have received a copy of the GNU General Public License
%   along with NM4M; if not, write to the Free Software
%   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
%   02110-1301 USA
% 
%   See the file "COPYING" for the text of the license.


%You have to edit the following lines according to your data set
DIR = '/home/hannover/Documents/databases/Xorous_Lyra';
i1 = zeros(6,6,5);%must be c*c*5 for c classes!!!
i2 = zeros(5,6);%must be 5*c!!


p.max_iter=30;
p.bpo = 8;
p.dB_flag = 0;
p.baseCC = 1;
p.winlength = 0.04;
p.decomp_meth = 3;
p.num_ceps_coeffs = 20;
p.covar_type = 'full';
p.feature = 1;
p.block_hop = 1;
p.print_acc = 0;
p.num_clusters = 10;
p.spec = 'logF';
p.percentage = 3;
p.block=0.5;
NM4M_CompFeat(DIR,p);%this computes the features according to figure 1
p.crossrun = 0;
for k = 1:5 % we do 5 independent runs, this is called cross validation
    NM4M_CrossValList(DIR,p,'myfirst');%write text files in each class folder for training and test data
    NM4M_TrainBase(DIR,p,'myfirst');%train the system, figure2 above
    [i1(:,:,k),i2(k,:)]=NM4M_TestBase(DIR,p,'myfirst');%test the system, figure2 below
    p.crossrun = p.crossrun + 1;
    save('myfirst','i1','i2');
end



