function textwrite(S,filename)
%TEXTWRITE write cell array matrix to text file
%
% Each cell is considered a separate line
% MPEG-7 General Sound Recognition and Indexing: Model Training and Testing Tools
% Copyright 2001 Mitsubishi Electric Research Laboratories, CRL  All Rights Reserved.
% 
%       Permission to use, copy, modify and distribute this software and
%       its documentation for educational, research and non-profit
%       purposes, without fee, and without a written agreement is hereby
%       granted, provided that the above copyright notice and the
%       following three paragraphs appear in all copies.
% 
%       To request Permission to incorporate this software into
%       commercial products contact MERL - Mitsubishi Electric Research
%       Laboratories, 201 Broadway, Cambridge, MA 02139.
% 
%       IN NO EVENT SHALL MERL BE LIABLE TO ANY PARTY FOR DIRECT,
%       INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
%       INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE
%       AND ITS DOCUMENTATION, EVEN IF MERL HAS BEEN ADVISED OF THE
%       POSSIBILITY OF SUCH DAMAGES.
% 
%       MERL SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT
%       LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
%       FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED
%       HEREUNDER IS ON AN "AS IS" BASIS, AND MERL HAS NO OBLIGATIONS TO
%       PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR
%       MODIFICATIONS.
% 
%       Author:
%       
% 	Michael Casey PhD   | M E R L  http://www.merl.com/people/casey
% 	Research Scientist  | Mitsubishi Electric Research Laboratories
% 	617.621.7535fax7550 | 201 Broadway 8th floor Cambridge MA 02139


fid = fopen(filename,'w');
if(fid<0)
    error('Cannot open file');
end

numFiles=length(S);

for k=1:numFiles
    fprintf(fid, '%s\n',S{k});
end

fclose(fid);

